Product / Content Delete API

Delete one product or content item using its product_id. To remove a product, make a DELETE request to:

Notice: Make sure the product_id is an urlencode string.

DELETE /v1/products/{product_id}

Replace {product_id} with the unique identifier of the product / content you wish to delete.

Response Format

The API will return a JSON object indicating the success or failure of the deletion request. If the deletion is successful, the status_code will be 200, and the message field will confirm the successful deletion.

Example Successful Deletion Response

{
  "message": "deleted",
  "data":  [
    {
      "task_id": "{task_id}"
    }
  ]
}

To check the exact response body of this task_id, make a GET request to the following endpoint:

GET /v1/products/_status/{task_id}

Replace {task_id} with the task_id returned from the response.

Path Parameters
  • product_id
    Type: string · Product Id
    max length:  
    512
    required
Responses
  • application/json
  • application/json
  • application/json
  • application/json
  • application/json
  • application/json
Request Example for delete/v1/products/{product_id}
curl 'https://api.askmiso.com/v1/products/{product_id}?api_key=YOUR_SECRET_TOKEN' \
  --request DELETE
{
  "message": "success",
  "data": {
    "task_id": "string"
  }
}